<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: KitBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d49/class_kit_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">KitBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a0a82a499255c4e510f6e3d83c4886e79"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#a0a82a499255c4e510f6e3d83c4886e79">CanReceiveAttachment</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> attachment, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> slotId)</td></tr>
<tr class="separator:a0a82a499255c4e510f6e3d83c4886e79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af347fffd6cac61bb467c749e2c0e0926"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#af347fffd6cac61bb467c749e2c0e0926">OnPlacementComplete</a> (Man player, <a class="el" href="../../d7/dfc/classvector.html">vector</a> position=&quot;0 0 0&quot;, <a class="el" href="../../d7/dfc/classvector.html">vector</a> orientation=&quot;0 0 0&quot;)</td></tr>
<tr class="separator:af347fffd6cac61bb467c749e2c0e0926"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0bb89fe5e840dbdf516166f6e2f30ad"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#ad0bb89fe5e840dbdf516166f6e2f30ad">DoPlacingHeightCheck</a> ()</td></tr>
<tr class="separator:ad0bb89fe5e840dbdf516166f6e2f30ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a841a0f2fda501712be882c3041a0d9b1"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#a841a0f2fda501712be882c3041a0d9b1">HeightCheckOverride</a> ()</td></tr>
<tr class="separator:a841a0f2fda501712be882c3041a0d9b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ff414a7884f5cf3ffe94eefb246b335"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#a9ff414a7884f5cf3ffe94eefb246b335">DisassembleKit</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a9ff414a7884f5cf3ffe94eefb246b335"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0f2e574092753736b4bcd85d5d9fb0e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#aa0f2e574092753736b4bcd85d5d9fb0e">OnDebugSpawn</a> ()</td></tr>
<tr class="separator:aa0f2e574092753736b4bcd85d5d9fb0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a82a499255c4e510f6e3d83c4886e79"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#a0a82a499255c4e510f6e3d83c4886e79">CanReceiveAttachment</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> attachment, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> slotId)</td></tr>
<tr class="separator:a0a82a499255c4e510f6e3d83c4886e79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af347fffd6cac61bb467c749e2c0e0926"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#af347fffd6cac61bb467c749e2c0e0926">OnPlacementComplete</a> (Man player, <a class="el" href="../../d7/dfc/classvector.html">vector</a> position=&quot;0 0 0&quot;, <a class="el" href="../../d7/dfc/classvector.html">vector</a> orientation=&quot;0 0 0&quot;)</td></tr>
<tr class="separator:af347fffd6cac61bb467c749e2c0e0926"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0bb89fe5e840dbdf516166f6e2f30ad"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#ad0bb89fe5e840dbdf516166f6e2f30ad">DoPlacingHeightCheck</a> ()</td></tr>
<tr class="separator:ad0bb89fe5e840dbdf516166f6e2f30ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a841a0f2fda501712be882c3041a0d9b1"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#a841a0f2fda501712be882c3041a0d9b1">HeightCheckOverride</a> ()</td></tr>
<tr class="separator:a841a0f2fda501712be882c3041a0d9b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74451cb237b57df7a3c1606526831d37"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#a74451cb237b57df7a3c1606526831d37">GetDeploySoundset</a> ()</td></tr>
<tr class="separator:a74451cb237b57df7a3c1606526831d37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea86a040a0925259aaab42f2b755ba5d"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#aea86a040a0925259aaab42f2b755ba5d">GetLoopDeploySoundset</a> ()</td></tr>
<tr class="separator:aea86a040a0925259aaab42f2b755ba5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af065bbe153eba7d71035b832532a0fc3"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#af065bbe153eba7d71035b832532a0fc3">GetDeployFinishSoundset</a> ()</td></tr>
<tr class="separator:af065bbe153eba7d71035b832532a0fc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ff414a7884f5cf3ffe94eefb246b335"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#a9ff414a7884f5cf3ffe94eefb246b335">DisassembleKit</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a9ff414a7884f5cf3ffe94eefb246b335"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0f2e574092753736b4bcd85d5d9fb0e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#aa0f2e574092753736b4bcd85d5d9fb0e">OnDebugSpawn</a> ()</td></tr>
<tr class="separator:aa0f2e574092753736b4bcd85d5d9fb0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4449376b9d44cd52d51c2e28f2a089e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#ac4449376b9d44cd52d51c2e28f2a089e">PlacementCanBeRotated</a> ()</td></tr>
<tr class="separator:ac4449376b9d44cd52d51c2e28f2a089e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0bb89fe5e840dbdf516166f6e2f30ad"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#ad0bb89fe5e840dbdf516166f6e2f30ad">DoPlacingHeightCheck</a> ()</td></tr>
<tr class="separator:ad0bb89fe5e840dbdf516166f6e2f30ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a841a0f2fda501712be882c3041a0d9b1"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#a841a0f2fda501712be882c3041a0d9b1">HeightCheckOverride</a> ()</td></tr>
<tr class="separator:a841a0f2fda501712be882c3041a0d9b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a82a499255c4e510f6e3d83c4886e79"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#a0a82a499255c4e510f6e3d83c4886e79">CanReceiveAttachment</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> attachment, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> slotId)</td></tr>
<tr class="separator:a0a82a499255c4e510f6e3d83c4886e79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af347fffd6cac61bb467c749e2c0e0926"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#af347fffd6cac61bb467c749e2c0e0926">OnPlacementComplete</a> (Man player, <a class="el" href="../../d7/dfc/classvector.html">vector</a> position=&quot;0 0 0&quot;, <a class="el" href="../../d7/dfc/classvector.html">vector</a> orientation=&quot;0 0 0&quot;)</td></tr>
<tr class="separator:af347fffd6cac61bb467c749e2c0e0926"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ff414a7884f5cf3ffe94eefb246b335"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#a9ff414a7884f5cf3ffe94eefb246b335">DisassembleKit</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a9ff414a7884f5cf3ffe94eefb246b335"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0f2e574092753736b4bcd85d5d9fb0e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#aa0f2e574092753736b4bcd85d5d9fb0e">OnDebugSpawn</a> ()</td></tr>
<tr class="separator:aa0f2e574092753736b4bcd85d5d9fb0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a82a499255c4e510f6e3d83c4886e79"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#a0a82a499255c4e510f6e3d83c4886e79">CanReceiveAttachment</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> attachment, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> slotId)</td></tr>
<tr class="separator:a0a82a499255c4e510f6e3d83c4886e79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af347fffd6cac61bb467c749e2c0e0926"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#af347fffd6cac61bb467c749e2c0e0926">OnPlacementComplete</a> (Man player, <a class="el" href="../../d7/dfc/classvector.html">vector</a> position=&quot;0 0 0&quot;, <a class="el" href="../../d7/dfc/classvector.html">vector</a> orientation=&quot;0 0 0&quot;)</td></tr>
<tr class="separator:af347fffd6cac61bb467c749e2c0e0926"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0bb89fe5e840dbdf516166f6e2f30ad"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#ad0bb89fe5e840dbdf516166f6e2f30ad">DoPlacingHeightCheck</a> ()</td></tr>
<tr class="separator:ad0bb89fe5e840dbdf516166f6e2f30ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a841a0f2fda501712be882c3041a0d9b1"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#a841a0f2fda501712be882c3041a0d9b1">HeightCheckOverride</a> ()</td></tr>
<tr class="separator:a841a0f2fda501712be882c3041a0d9b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ff414a7884f5cf3ffe94eefb246b335"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#a9ff414a7884f5cf3ffe94eefb246b335">DisassembleKit</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a9ff414a7884f5cf3ffe94eefb246b335"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0f2e574092753736b4bcd85d5d9fb0e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d49/class_kit_base.html#aa0f2e574092753736b4bcd85d5d9fb0e">OnDebugSpawn</a> ()</td></tr>
<tr class="separator:aa0f2e574092753736b4bcd85d5d9fb0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d0/de8/_fence_kit_8c_source.html#l00001">1</a> of file <a class="el" href="../../d0/de8/_fence_kit_8c_source.html">FenceKit.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a0a82a499255c4e510f6e3d83c4886e79" name="a0a82a499255c4e510f6e3d83c4886e79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a82a499255c4e510f6e3d83c4886e79">&#9670;&#160;</a></span>CanReceiveAttachment() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> KitBase::CanReceiveAttachment </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>attachment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>slotId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/de8/_fence_kit_8c_source.html#l00003">3</a> of file <a class="el" href="../../d0/de8/_fence_kit_8c_source.html">FenceKit.c</a>.</p>

</div>
</div>
<a id="a0a82a499255c4e510f6e3d83c4886e79" name="a0a82a499255c4e510f6e3d83c4886e79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a82a499255c4e510f6e3d83c4886e79">&#9670;&#160;</a></span>CanReceiveAttachment() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> KitBase::CanReceiveAttachment </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>attachment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>slotId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dd8/_shelter_kit_8c_source.html#l00003">3</a> of file <a class="el" href="../../de/dd8/_shelter_kit_8c_source.html">ShelterKit.c</a>.</p>

</div>
</div>
<a id="a0a82a499255c4e510f6e3d83c4886e79" name="a0a82a499255c4e510f6e3d83c4886e79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a82a499255c4e510f6e3d83c4886e79">&#9670;&#160;</a></span>CanReceiveAttachment() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> KitBase::CanReceiveAttachment </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>attachment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>slotId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dad/_totem_kit_8c_source.html#l00018">18</a> of file <a class="el" href="../../d3/dad/_totem_kit_8c_source.html">TotemKit.c</a>.</p>

</div>
</div>
<a id="a0a82a499255c4e510f6e3d83c4886e79" name="a0a82a499255c4e510f6e3d83c4886e79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a82a499255c4e510f6e3d83c4886e79">&#9670;&#160;</a></span>CanReceiveAttachment() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> KitBase::CanReceiveAttachment </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>attachment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>slotId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/de4/_watchtower_kit_8c_source.html#l00003">3</a> of file <a class="el" href="../../db/de4/_watchtower_kit_8c_source.html">WatchtowerKit.c</a>.</p>

</div>
</div>
<a id="a9ff414a7884f5cf3ffe94eefb246b335" name="a9ff414a7884f5cf3ffe94eefb246b335"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ff414a7884f5cf3ffe94eefb246b335">&#9670;&#160;</a></span>DisassembleKit() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void KitBase::DisassembleKit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/de8/_fence_kit_8c_source.html#l00048">48</a> of file <a class="el" href="../../d0/de8/_fence_kit_8c_source.html">FenceKit.c</a>.</p>

</div>
</div>
<a id="a9ff414a7884f5cf3ffe94eefb246b335" name="a9ff414a7884f5cf3ffe94eefb246b335"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ff414a7884f5cf3ffe94eefb246b335">&#9670;&#160;</a></span>DisassembleKit() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void KitBase::DisassembleKit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dd8/_shelter_kit_8c_source.html#l00061">61</a> of file <a class="el" href="../../de/dd8/_shelter_kit_8c_source.html">ShelterKit.c</a>.</p>

</div>
</div>
<a id="a9ff414a7884f5cf3ffe94eefb246b335" name="a9ff414a7884f5cf3ffe94eefb246b335"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ff414a7884f5cf3ffe94eefb246b335">&#9670;&#160;</a></span>DisassembleKit() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void KitBase::DisassembleKit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dad/_totem_kit_8c_source.html#l00052">52</a> of file <a class="el" href="../../d3/dad/_totem_kit_8c_source.html">TotemKit.c</a>.</p>

</div>
</div>
<a id="a9ff414a7884f5cf3ffe94eefb246b335" name="a9ff414a7884f5cf3ffe94eefb246b335"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ff414a7884f5cf3ffe94eefb246b335">&#9670;&#160;</a></span>DisassembleKit() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void KitBase::DisassembleKit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/de4/_watchtower_kit_8c_source.html#l00044">44</a> of file <a class="el" href="../../db/de4/_watchtower_kit_8c_source.html">WatchtowerKit.c</a>.</p>

</div>
</div>
<a id="ad0bb89fe5e840dbdf516166f6e2f30ad" name="ad0bb89fe5e840dbdf516166f6e2f30ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0bb89fe5e840dbdf516166f6e2f30ad">&#9670;&#160;</a></span>DoPlacingHeightCheck() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> KitBase::DoPlacingHeightCheck </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/de8/_fence_kit_8c_source.html#l00038">38</a> of file <a class="el" href="../../d0/de8/_fence_kit_8c_source.html">FenceKit.c</a>.</p>

</div>
</div>
<a id="ad0bb89fe5e840dbdf516166f6e2f30ad" name="ad0bb89fe5e840dbdf516166f6e2f30ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0bb89fe5e840dbdf516166f6e2f30ad">&#9670;&#160;</a></span>DoPlacingHeightCheck() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> KitBase::DoPlacingHeightCheck </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dd8/_shelter_kit_8c_source.html#l00036">36</a> of file <a class="el" href="../../de/dd8/_shelter_kit_8c_source.html">ShelterKit.c</a>.</p>

</div>
</div>
<a id="ad0bb89fe5e840dbdf516166f6e2f30ad" name="ad0bb89fe5e840dbdf516166f6e2f30ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0bb89fe5e840dbdf516166f6e2f30ad">&#9670;&#160;</a></span>DoPlacingHeightCheck() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> KitBase::DoPlacingHeightCheck </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dad/_totem_kit_8c_source.html#l00008">8</a> of file <a class="el" href="../../d3/dad/_totem_kit_8c_source.html">TotemKit.c</a>.</p>

</div>
</div>
<a id="ad0bb89fe5e840dbdf516166f6e2f30ad" name="ad0bb89fe5e840dbdf516166f6e2f30ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0bb89fe5e840dbdf516166f6e2f30ad">&#9670;&#160;</a></span>DoPlacingHeightCheck() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> KitBase::DoPlacingHeightCheck </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/de4/_watchtower_kit_8c_source.html#l00034">34</a> of file <a class="el" href="../../db/de4/_watchtower_kit_8c_source.html">WatchtowerKit.c</a>.</p>

</div>
</div>
<a id="af065bbe153eba7d71035b832532a0fc3" name="af065bbe153eba7d71035b832532a0fc3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af065bbe153eba7d71035b832532a0fc3">&#9670;&#160;</a></span>GetDeployFinishSoundset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> KitBase::GetDeployFinishSoundset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dd8/_shelter_kit_8c_source.html#l00056">56</a> of file <a class="el" href="../../de/dd8/_shelter_kit_8c_source.html">ShelterKit.c</a>.</p>

</div>
</div>
<a id="a74451cb237b57df7a3c1606526831d37" name="a74451cb237b57df7a3c1606526831d37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74451cb237b57df7a3c1606526831d37">&#9670;&#160;</a></span>GetDeploySoundset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> KitBase::GetDeploySoundset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dd8/_shelter_kit_8c_source.html#l00046">46</a> of file <a class="el" href="../../de/dd8/_shelter_kit_8c_source.html">ShelterKit.c</a>.</p>

</div>
</div>
<a id="aea86a040a0925259aaab42f2b755ba5d" name="aea86a040a0925259aaab42f2b755ba5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea86a040a0925259aaab42f2b755ba5d">&#9670;&#160;</a></span>GetLoopDeploySoundset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> KitBase::GetLoopDeploySoundset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dd8/_shelter_kit_8c_source.html#l00051">51</a> of file <a class="el" href="../../de/dd8/_shelter_kit_8c_source.html">ShelterKit.c</a>.</p>

</div>
</div>
<a id="a841a0f2fda501712be882c3041a0d9b1" name="a841a0f2fda501712be882c3041a0d9b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a841a0f2fda501712be882c3041a0d9b1">&#9670;&#160;</a></span>HeightCheckOverride() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d4/dc3/classfloat.html">float</a> KitBase::HeightCheckOverride </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/de8/_fence_kit_8c_source.html#l00043">43</a> of file <a class="el" href="../../d0/de8/_fence_kit_8c_source.html">FenceKit.c</a>.</p>

</div>
</div>
<a id="a841a0f2fda501712be882c3041a0d9b1" name="a841a0f2fda501712be882c3041a0d9b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a841a0f2fda501712be882c3041a0d9b1">&#9670;&#160;</a></span>HeightCheckOverride() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d4/dc3/classfloat.html">float</a> KitBase::HeightCheckOverride </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dd8/_shelter_kit_8c_source.html#l00041">41</a> of file <a class="el" href="../../de/dd8/_shelter_kit_8c_source.html">ShelterKit.c</a>.</p>

</div>
</div>
<a id="a841a0f2fda501712be882c3041a0d9b1" name="a841a0f2fda501712be882c3041a0d9b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a841a0f2fda501712be882c3041a0d9b1">&#9670;&#160;</a></span>HeightCheckOverride() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d4/dc3/classfloat.html">float</a> KitBase::HeightCheckOverride </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dad/_totem_kit_8c_source.html#l00013">13</a> of file <a class="el" href="../../d3/dad/_totem_kit_8c_source.html">TotemKit.c</a>.</p>

</div>
</div>
<a id="a841a0f2fda501712be882c3041a0d9b1" name="a841a0f2fda501712be882c3041a0d9b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a841a0f2fda501712be882c3041a0d9b1">&#9670;&#160;</a></span>HeightCheckOverride() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d4/dc3/classfloat.html">float</a> KitBase::HeightCheckOverride </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/de4/_watchtower_kit_8c_source.html#l00039">39</a> of file <a class="el" href="../../db/de4/_watchtower_kit_8c_source.html">WatchtowerKit.c</a>.</p>

</div>
</div>
<a id="aa0f2e574092753736b4bcd85d5d9fb0e" name="aa0f2e574092753736b4bcd85d5d9fb0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0f2e574092753736b4bcd85d5d9fb0e">&#9670;&#160;</a></span>OnDebugSpawn() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void KitBase::OnDebugSpawn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/de8/_fence_kit_8c_source.html#l00061">61</a> of file <a class="el" href="../../d0/de8/_fence_kit_8c_source.html">FenceKit.c</a>.</p>

</div>
</div>
<a id="aa0f2e574092753736b4bcd85d5d9fb0e" name="aa0f2e574092753736b4bcd85d5d9fb0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0f2e574092753736b4bcd85d5d9fb0e">&#9670;&#160;</a></span>OnDebugSpawn() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void KitBase::OnDebugSpawn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dd8/_shelter_kit_8c_source.html#l00074">74</a> of file <a class="el" href="../../de/dd8/_shelter_kit_8c_source.html">ShelterKit.c</a>.</p>

</div>
</div>
<a id="aa0f2e574092753736b4bcd85d5d9fb0e" name="aa0f2e574092753736b4bcd85d5d9fb0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0f2e574092753736b4bcd85d5d9fb0e">&#9670;&#160;</a></span>OnDebugSpawn() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void KitBase::OnDebugSpawn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dad/_totem_kit_8c_source.html#l00068">68</a> of file <a class="el" href="../../d3/dad/_totem_kit_8c_source.html">TotemKit.c</a>.</p>

</div>
</div>
<a id="aa0f2e574092753736b4bcd85d5d9fb0e" name="aa0f2e574092753736b4bcd85d5d9fb0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0f2e574092753736b4bcd85d5d9fb0e">&#9670;&#160;</a></span>OnDebugSpawn() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void KitBase::OnDebugSpawn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/de4/_watchtower_kit_8c_source.html#l00057">57</a> of file <a class="el" href="../../db/de4/_watchtower_kit_8c_source.html">WatchtowerKit.c</a>.</p>

</div>
</div>
<a id="af347fffd6cac61bb467c749e2c0e0926" name="af347fffd6cac61bb467c749e2c0e0926"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af347fffd6cac61bb467c749e2c0e0926">&#9670;&#160;</a></span>OnPlacementComplete() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void KitBase::OnPlacementComplete </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>position</em> = <code>&quot;0&#160;0&#160;0&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>orientation</em> = <code>&quot;0&#160;0&#160;0&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/de8/_fence_kit_8c_source.html#l00019">19</a> of file <a class="el" href="../../d0/de8/_fence_kit_8c_source.html">FenceKit.c</a>.</p>

</div>
</div>
<a id="af347fffd6cac61bb467c749e2c0e0926" name="af347fffd6cac61bb467c749e2c0e0926"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af347fffd6cac61bb467c749e2c0e0926">&#9670;&#160;</a></span>OnPlacementComplete() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void KitBase::OnPlacementComplete </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>position</em> = <code>&quot;0&#160;0&#160;0&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>orientation</em> = <code>&quot;0&#160;0&#160;0&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dd8/_shelter_kit_8c_source.html#l00018">18</a> of file <a class="el" href="../../de/dd8/_shelter_kit_8c_source.html">ShelterKit.c</a>.</p>

</div>
</div>
<a id="af347fffd6cac61bb467c749e2c0e0926" name="af347fffd6cac61bb467c749e2c0e0926"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af347fffd6cac61bb467c749e2c0e0926">&#9670;&#160;</a></span>OnPlacementComplete() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void KitBase::OnPlacementComplete </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>position</em> = <code>&quot;0&#160;0&#160;0&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>orientation</em> = <code>&quot;0&#160;0&#160;0&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dad/_totem_kit_8c_source.html#l00034">34</a> of file <a class="el" href="../../d3/dad/_totem_kit_8c_source.html">TotemKit.c</a>.</p>

</div>
</div>
<a id="af347fffd6cac61bb467c749e2c0e0926" name="af347fffd6cac61bb467c749e2c0e0926"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af347fffd6cac61bb467c749e2c0e0926">&#9670;&#160;</a></span>OnPlacementComplete() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void KitBase::OnPlacementComplete </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>position</em> = <code>&quot;0&#160;0&#160;0&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>orientation</em> = <code>&quot;0&#160;0&#160;0&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/de4/_watchtower_kit_8c_source.html#l00016">16</a> of file <a class="el" href="../../db/de4/_watchtower_kit_8c_source.html">WatchtowerKit.c</a>.</p>

</div>
</div>
<a id="ac4449376b9d44cd52d51c2e28f2a089e" name="ac4449376b9d44cd52d51c2e28f2a089e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4449376b9d44cd52d51c2e28f2a089e">&#9670;&#160;</a></span>PlacementCanBeRotated()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> KitBase::PlacementCanBeRotated </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/dad/_totem_kit_8c_source.html#l00003">3</a> of file <a class="el" href="../../d3/dad/_totem_kit_8c_source.html">TotemKit.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>scripts/4_World/Entities/ItemBase/<a class="el" href="../../d0/de8/_fence_kit_8c_source.html">FenceKit.c</a></li>
<li>scripts/4_World/Entities/ItemBase/<a class="el" href="../../de/dd8/_shelter_kit_8c_source.html">ShelterKit.c</a></li>
<li>scripts/4_World/Entities/ItemBase/<a class="el" href="../../d3/dad/_totem_kit_8c_source.html">TotemKit.c</a></li>
<li>scripts/4_World/Entities/ItemBase/<a class="el" href="../../db/de4/_watchtower_kit_8c_source.html">WatchtowerKit.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d49/class_kit_base.html">KitBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
